# Class LogProvider

- Defined in src/services/log.js:37

##### Index

### Constructors

constructor

### Properties

debug

### Methods

$get
consoleLog
debugEnabled
formatError

## Constructors

### constructor

- new LogProvider(): LogProvider

  #### Returns LogProvider

  - Defined in src/services/log.js:38

## Properties

### debug

debug: any

- Defined in src/services/log.js:39
- Defined in src/services/log.js:48

## Methods

### $get

- $get(): LogService

  #### Returns LogService

  - Defined in src/services/log.js:78

### consoleLog

- consoleLog(type: any): (...args: any[]) => any

  #### Parameters

  - type: any

  #### Returns (...args: any[]) => any

  - Defined in src/services/log.js:68

### debugEnabled

- debugEnabled(flag: boolean): any

  #### Parameters

  - flag: boolean

    enable or disable debug level messages

  #### Returns any

  current value if used as getter or itself (chaining) if used as setter

  - Defined in src/services/log.js:46

### formatError

- formatError(arg: any): any

  #### Parameters

  - arg: any

  #### Returns any

  - Defined in src/services/log.js:54